<template>
  <div>
    <div
        v-if="order.currentState === STEP.WIN"
        class="account-auction__state success"
    >
      Ваша ставка — лучшая
    </div>
    <div
        v-if="order.currentState === STEP.LOSING"
        class="account-auction__state warning"
    >
      Вашу ставку перебили
    </div>

    <template v-if="order.lotStatus === STEP.ACTIVE">
      <Voyage
          v-if="order.helper_logistic"
          :is-type="'auction'"
      />
      <div v-if="vat" class="account-auction__step">
        Шаг {{ order.biddingStepAmount && (order.biddingStepAmount.priceWithVat / 100) | currency }} <span>₽ </span>
        (НДС {{ order.biddingStepAmount && (order.biddingStepAmount.vatValue / 100) }} ₽)
      </div>

      <div v-else class="account-auction__step">
        Шаг {{ order.biddingStepAmount && (order.biddingStepAmount.priceWithVat / 100) }} <span>₽</span>
      </div>
      <Counter :indicators="order"/>
    </template>
    <div
      v-else-if="order.lotStatus === STEP.CANCELLED"
      class="account-auction__text"
    >
      <p>Мы назначили перевозчика с гарантиями. Уточните у ответсвенного менеджера, как получить гарантии.</p>
    </div>
    <div
      v-else
      class="account-auction__text warning"
    >
      <p>Время аукциона истекло. Заказ ушел другому перевозчику</p>

    </div>
  </div>
</template>

<script>
  import { mapGetters } from "vuex"
  import Voyage from '../../voyage/index'
  import Counter from './Counter'
  import STEPS from '@/constants/steps.js'

  export default {
    name: "StatusActive",
    components: {
      Voyage,
      Counter
    },
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order',
        vat: 'account/vat'
      })
    }
  }
</script>

<style scoped lang="scss">
  .account-auction {
    .warning {
      color: $color-error;
    }

    .success {
      color: $green-craiola;
    }

    &__state {
      padding: 10px 0;
      letter-spacing: 0.2px;
      font-size: 14px;
    }

    &__step {
      font-size: 14px;
      line-height: 18px;
      letter-spacing: 0.2px;
      color: $gray-slate;
      text-align: center;
      margin-top: 10px;
    }
    &__text {
      line-height: 18px;
      letter-spacing: 0.2px;
      margin: 10px 0 0;
    }
  }
</style>
